<?php
/*---------------------------------------------------+
|	PHP-Fusion 6 Content Management System
+---------------------------------------------------------+
|	Copyright (c) 2005 Nick Jones
|	http://www.php-fusion.co.uk/
+---------------------------------------------------------+
|	Released under the terms & conditions of v2 of the
|	GNU General Public License. For details refer to
|	the included gpl.txt file or visit http://gnu.org
+---------------------------------------------------------*/
require_once "../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
include LOCALE.LOCALESET."admin/downloads.php";

if (!checkrights('D')) fallback('../index.php');
if (isset($download_id) && !isNum($download_id)) fallback(FUSION_SELF);

$userid = $userdata['user_id'];

$result = dbquery('SELECT * FROM '.$db_prefix.'download_cats;');
if (dbrows($result) != 0) {
	$sel = '';
	$result2 = dbquery("SELECT * FROM ".$db_prefix."download_cats WHERE `download_parent`='0' ORDER BY download_cat_name");
	if (dbrows($result2) != 0) {
		$editlist = "<option value='none' $sel>".$locale['435']."</option>\n";
		while ($data2 = dbarray($result2)) {
			if ($step == "edit") $sel = ($data['download_cat'] == $data2['download_cat_id'] ? " selected='selected'" : "");
			$editlist .= "<option value='".$data2['download_cat_id']."'$sel>".$data2['download_cat_name']."</option>\n";
		} 	
	}
opentable($locale['471']);
echo "<script language='javascript' src='".ADMIN."downloads_ajax.js' type='text/javascript'></script>
<form name='inputform'>
<table align='center' width='460' cellspacing='0' cellpadding='0'>
<tr>
<td width='80' class='tbl'>".$locale['480']."</td>
<td class='tbl'><input type='text' id='download_title' name='download_title' value='' class='textbox' style='width:380px;'></td>
</tr>
<tr>
<td width='80' class='tbl'>".$locale['481']."</td>
<td class='tbl'><textarea id='download_description' name='download_description' rows='5' cols='90' class='textbox' style='width:380px;'>".$download_description."</textarea></td>
</tr>
<tr>
<td class='tbl'></td><td class='tbl'>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('download_description', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('download_description', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('download_description', '[u]', '[/u]');\">
<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('download_description', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('download_description', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('download_description', '[img]', '[/img]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('download_description', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('download_description', '[small]', '[/small]');\">
<input type='button' value='code' class='button' style='width:40px;' onClick=\"addText('download_description', '[code]', '[/code]');\">
<input type='button' value='quote' class='button' style='width:45px;' onClick=\"addText('download_description', '[quote]', '[/quote]');\">
</td>
</tr>
<tr>
<td width='80' class='tbl'>".$locale['482']."</td>
<td class='tbl'><input type='text' id='download_url' name='download_url' value='' class='textbox' style='width:380px;'></td>
</tr>
<tr>
<td colspan='2' class='tbl' id='tree'>/&nbsp;</td>
</tr>
<tr>
<td width='80' class='tbl'>".$locale['483']."</td>
<td class='tbl' ><select id='selectlist' name='download_cat' class='textbox' onchange='getCats();'>
$editlist</select></td>
</tr>
<tr>
<td width='80' class='tbl'>".$locale['484']."</td>
<td class='tbl' id='input_license'><input type='text' id='download_license' name='download_license' value='' class='textbox' style='width:150px;'>&nbsp;</td>
</tr>
<tr>
<td width='80' class='tbl'>".$locale['485']."</td>
<td class='tbl'><input type='text' id='download_os' name='download_os' value='' class='textbox' style='width:150px;'></td>
</tr>
<tr>
<td width='80' class='tbl'>".$locale['486']."</td>
<td class='tbl'><input type='text' id='download_version' name='download_version' value='' class='textbox' style='width:150px;'></td>
</tr>
<tr>
<td width='80' class='tbl'>".$locale['487']."</td>
<td class='tbl'><input type='text' id='download_filesize' name='download_filesize' value='' class='textbox' style='width:150px;'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>
<input id='save_button' type='button' value='".$locale['488']."' class='button' onclick='saveDownload();'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl' id='result'></td>
</tr>
</table></form>";
closetable();
tablebreak();
opentable($locale['500']);
echo "<table align='center' width='400' cellspacing='0' cellpadding='0' class='tbl'>\n";
$query = dbquery("SELECT * FROM ".$db_prefix."download_cats WHERE `download_parent`='0' ORDER BY download_cat_name;");
if (dbrows($query) != 0) {
	echo "<tr>
	<td class='tbl2'>".$locale['501']."</td>
	<td align='right' class='tbl2'>".$locale['502']."</td>
	</tr>
	<tr>
	<td colspan='2' height='1'>&nbsp;</td>
	</tr>\n";
	while ($data = dbarray($query)) {
		echo '<tr id="cat_'.$data['download_cat_id'].'">'."\n";
		echo '<td class="tbl2">'.$data['download_cat_name'].'</td>'."\n";
		echo '<td class="tbl2" align="right"><img alt="" id="panelimg_'.$data['download_cat_id'].'" onclick="showSubLinks(\''.$data['download_cat_id'].'\');" name="panelimg_'.$data['download_cat_id'].'" border="0" src="'.THEME.'images/panel_on.gif"></td>'."\n".'</tr>';
		}
	echo '</table>';
closetable();
} else {
	echo "<tr>
	<td align='center'><br>".$locale['506']."<br><br>
	<a href='download_cats.php'>".$locale['507']."<br><br></td>
	</tr></table>";
}
closetable();
} else {
opentable($locale['500']);
echo "<center>".$locale['508']."<br>".$locale['509']."<br><br><a href='download_cats.php'>".$locale['510']."</a>".$locale['511']."</center>\n";
closetable();
}
echo '</td>'."\n";
require_once BASEDIR.'footer.php';
?>