function getXhr(){
var xhr = null; 
if(window.XMLHttpRequest)
	xhr = new XMLHttpRequest();
else if(window.ActiveXObject){
	try {
		xhr = new ActiveXObject('Msxml2.XMLHTTP');
		} catch (e) {
			xhr = new ActiveXObject('Microsoft.XMLHTTP');
			        }
}
else {
	alert('Your browser can\'t handle XMLHTTPRequest objects...'); 
	xhr = false; 
	}
return xhr;
}

function go(c){
	if(!c.data.replace(/\s/g,''))
		c.parentNode.removeChild(c);
}

function clean(d){
	var bal=d.getElementsByTagName('*');
	for(i=0;i<bal.length;i++){
		a=bal[i].previousSibling;
		if(a && a.nodeType==3)
			go(a);
		b=bal[i].nextSibling;
		if(b && b.nodeType==3)
			go(b);
	}
	return d;
}

function getCats(downloadCatId,selectedOption) {
	pleaseWait('append','input_license');
	var xhr = getXhr();
	var sel = document.getElementById('selectlist');
	var downloadCatId = (downloadCatId != undefined ? downloadCatId : sel.options[sel.selectedIndex].value);
	xhr.open('POST','downloads_ajax.php',true);
	xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	xhr.send('step=getcats&selected_cat='+downloadCatId);
	xhr.onreadystatechange = function(){
		if (xhr.readyState == 4 && xhr.status == 200){
			var response = clean(xhr.responseXML.documentElement);
			var categories = response.getElementsByTagName('categorie');
			Tree(downloadCatId,'tree');
			if (categories.length>0) {
				sel.options.length = false;
				for (var i=0;i<categories.length;i++) {
					var option = document.createElement('option');
					var id = categories[i].getAttribute('id');
					var textnode = document.createTextNode(categories[i].firstChild.data);
					option.appendChild(textnode);
					option.value = id;
					sel.appendChild(option);
				}
				for(i=0;i<sel.options.length;i++) {
					if (sel.options[i].value == selectedOption) {
						sel.options[i].selected = true;
						break;
					}
				}
			}
			pleaseWait('unload','input_license');
		}
	}
}

function Tree(catId,elementId) {
	var xhr = getXhr();
	var element = document.getElementById(elementId);
	xhr.open('POST','downloads_ajax.php',true);
	xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	xhr.send('step=gettree&selected_cat='+catId);
	xhr.onreadystatechange = function(){
		if (xhr.readyState == 4 && xhr.status == 200){
			tree = document.createTextNode(xhr.responseText);
			if (element.childNodes.length>1) {
				for (i=1;i<element.childNodes.length;i++) {
					element.removeChild(element.childNodes[i]);
				}
			}
			if (tree.length>2) {element.appendChild(tree);}
		}
	}
}

function saveDownload(update,downloadId) {
	document.getElementById('save_button').disabled = true;
	var result = document.getElementById('result');
	if (result.hasChildNodes()) {removeChildNodes(result);pleaseWait('append','result');} else {pleaseWait('append','result');}
	var download_title = document.getElementById('download_title');
	var download_description = document.getElementById('download_description');
	var download_url = document.getElementById('download_url');
	var sel = document.getElementById('selectlist');
	var	downloadCatId = sel.options[sel.selectedIndex].value;
	var download_license = document.getElementById('download_license');
	var download_os = document.getElementById('download_os');
	var download_version = document.getElementById('download_version');
	var download_filesize = document.getElementById('download_filesize');
	var xhr = getXhr();
	xhr.open('POST','downloads_ajax.php',true);
	xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	xhr.send('step=savedownload'+(update == true ? '&update='+true+'&download_id='+downloadId : '')
		+'&download_title='+escape(download_title.value)
		+'&download_description='+escape(download_description.value)
		+'&download_url='+escape(download_url.value)
		+'&download_cat='+downloadCatId
		+'&download_license='+escape(download_license.value)
		+'&download_os='+escape(download_os.value)
		+'&download_version='+escape(download_version.value)
		+'&download_filesize='+escape(download_filesize.value));
	xhr.onreadystatechange = function(){
		if(xhr.readyState == 4 && xhr.status == 200){
			var response = clean(xhr.responseXML.documentElement);
			var error_msg = response.getElementsByTagName('error_msg');
			if (error_msg[0]) {
				pleaseWait('unload','result');
				window.alert(error_msg[0].firstChild.data);
			}
			else {
				var info_msg = response.getElementsByTagName('info_msg');
				var textnode = document.createTextNode(info_msg[0].firstChild.data);
				pleaseWait('unload','result');
				if (result.hasChildNodes()) {result.removeChild(result.firstChild);}
				result.appendChild(textnode);
			}
		}
	}
	document.getElementById('save_button').disabled = false;
}

function editDownload(downloadId) {
	var xhr = getXhr();
	xhr.open('POST','downloads_ajax.php',true);
	xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	xhr.send('step=editdownload&download_id='+downloadId);
	xhr.onreadystatechange = function(){
		if (xhr.readyState == 4 && xhr.status == 200){
			var response = clean(xhr.responseXML.documentElement);
			var downloadCat = (response.getElementsByTagName('download_cat')[0].hasChildNodes() ? response.getElementsByTagName('download_cat')[0].firstChild.data : 0);
			var downloadCatParent = (response.getElementsByTagName('download_cat_parent')[0].hasChildNodes() ? response.getElementsByTagName('download_cat_parent')[0].firstChild.data : 0);
			var saveButton = document.getElementById('save_button');
			if (!testCat(downloadCat)) {
				getCats(downloadCatParent,downloadCat);
			} else {getCats(downloadCat,downloadCat);}
			document.getElementById('download_title').value = response.getElementsByTagName('download_title')[0].firstChild.data;
			document.getElementById('download_description').value = (response.getElementsByTagName('download_description')[0].hasChildNodes() ? response.getElementsByTagName('download_description')[0].firstChild.data : '');
			document.getElementById('download_url').value = response.getElementsByTagName('download_url')[0].firstChild.data;
			document.getElementById('download_license').value = (response.getElementsByTagName('download_license')[0].hasChildNodes() ? response.getElementsByTagName('download_license')[0].firstChild.data : '');
			document.getElementById('download_os').value = (response.getElementsByTagName('download_os')[0].hasChildNodes() ? response.getElementsByTagName('download_os')[0].firstChild.data : '');
			document.getElementById('download_version').value = (response.getElementsByTagName('download_version')[0].hasChildNodes() ? response.getElementsByTagName('download_version')[0].firstChild.data : '');
			document.getElementById('download_filesize').value = (response.getElementsByTagName('download_filesize')[0].hasChildNodes() ? response.getElementsByTagName('download_filesize')[0].firstChild.data : '');
			saveButton.value = response.getElementsByTagName('locale_updatedownload')[0].firstChild.data;
			saveButton.setAttribute('onclick','saveDownload('+true+','+response.getElementsByTagName('download_id')[0].firstChild.data+');');
			if (!document.getElementById('cancel')) {
				var cancelButton = document.createElement('input');
				cancelButton.setAttribute('type','button');
				cancelButton.setAttribute('id','cancel');
				cancelButton.setAttribute('class','button');
				cancelButton.setAttribute('onclick','window.location.replace(\''+unescape(window.location.pathname)+'\');');
				cancelButton.value = response.getElementsByTagName('locale_cancel')[0].firstChild.data;
				saveButton.parentNode.appendChild(cancelButton);
			}
		}
	}
}

// This function will test if the category contains sub-categories or not
function testCat(downloadCatId) {
	var xhr = getXhr();
	xhr.open('POST','downloads_ajax.php',true);
	xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	xhr.send('step=getcats&selected_cat='+downloadCatId);
	xhr.onreadystatechange = function(){
		if (xhr.readyState == 4 && xhr.status == 200){
			var response = clean(xhr.responseXML.documentElement);
			if (response.getElementsByTagName('categorie').length>0) {
				return true;
			}
			return false;
		}
	}
}

function deleteDownload(action,downloadId,downloadName) {
	var xhr = getXhr();
	xhr.open('POST','downloads_ajax.php',true);
	xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	switch(action) {
		case 'confirm':
			xhr.send('step=confirmdownloaddeletion&downloadname='+downloadName);
			xhr.onreadystatechange = function(){
				if (xhr.readyState == 4 && xhr.status == 200){
					var response = clean(xhr.responseXML.documentElement);
					if (confirm(response.getElementsByTagName('confirmation')[0].firstChild.data)) {
						deleteDownload('delete',downloadId);
					}
				}
			}
			break;
		case 'delete':
			xhr.send('step=deletedownload&download_id='+downloadId);
			xhr.onreadystatechange = function(){
				if (xhr.readyState == 4 && xhr.status == 200){
					var response = clean(xhr.responseXML.documentElement);
					if (response.getElementsByTagName('info_msg')[0].firstChild.data=='Success') {
						var parentNode = document.getElementById('download_'+downloadId).parentNode;
						for (i=0;i<parentNode.childNodes.length;i++) {
							if (parentNode.childNodes[i].id == 'download_'+downloadId) {
								parentNode.removeChild(parentNode.childNodes[i]);
								break;
							}
						}
					} else {
						alert(response.getElementsByTagName('info_msg')[0].firstChild.data);
					}
				}
			}
			break;
	}
}

function showSubLinks(downloadCatId) {
	pleaseWait('replace','panelimg_'+downloadCatId);
	var xhr = getXhr();
	xhr.open('POST','downloads_ajax.php',true);
	xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	xhr.send('step=showsublinks&selected_cat='+downloadCatId);
	xhr.onreadystatechange = function(){
		if (xhr.readyState == 4 && xhr.status == 200){
			var response = clean(xhr.responseXML.documentElement);
			var categories = response.getElementsByTagName('categorie');
			var downloads = response.getElementsByTagName('download');
			if (downloads.length!=false || categories.length!=false) {
				var currentTr = document.getElementById('cat_'+downloadCatId);
				var localeEdit = response.getElementsByTagName('locale_edit')[0].firstChild.data;
				var localeDelete = response.getElementsByTagName('locale_delete')[0].firstChild.data;
				var theme = response.getElementsByTagName('theme')[0].firstChild.data;
				var tr = document.createElement('tr');tr.setAttribute('id','box_'+downloadCatId);
				var td = document.createElement('td');td.setAttribute('colspan','2');
				var table = document.createElement('table');
				tr.appendChild(td);
				td.appendChild(table);
				table.setAttribute('width','100%');table.setAttribute('cellpadding','0');table.setAttribute('cellspacing','0');
				insertAfter(tr,currentTr);
				// Insert downloads
				for (i=0;i<downloads.length;i++) {
					var downloadId = downloads[i].getAttribute('id');
					var tr = document.createElement('tr');
					var td1 = document.createElement('td');
					var td2 = document.createElement('td');
					// Download link
					var a = document.createElement('a');
					a.appendChild(document.createTextNode(downloads[i].firstChild.data));
					a.setAttribute('href',downloads[i].getAttribute('url'));
					td1.appendChild(a);
					// Edit download link
					var a = document.createElement('a');
					a.setAttribute('onclick','editDownload('+downloads[i].getAttribute('id')+');');
					a.setAttribute('href','#');
					a.appendChild(document.createTextNode(localeEdit));
					td2.appendChild(a);
					td2.appendChild(document.createTextNode(' - '));
					// Delete download link
					var a = document.createElement('a');
					a.setAttribute('onclick','deleteDownload(\'confirm\','+downloads[i].getAttribute('id')+',\''+downloads[i].firstChild.data+'\');');
					a.setAttribute('href','#');
					a.appendChild(document.createTextNode(localeDelete));
					td2.appendChild(a);
					// Stylize and add lines
					tr.setAttribute('id','download_'+downloads[i].getAttribute('id'));
					td1.setAttribute('class','tbl');
					td2.setAttribute('class','tbl');
					td2.setAttribute('align','right');
					td2.setAttribute('width','150');
					tr.appendChild(td1);tr.appendChild(td2);
					table.appendChild(tr);
				}
				// Insert categories
				for (i=0;i<categories.length;i++) {
					var catId = categories[i].getAttribute('id');
					var tr = document.createElement('tr');
					var td1 = document.createElement('td');
					var td2 = document.createElement('td');
					td1.appendChild(document.createTextNode(categories[i].firstChild.data));
					tr.setAttribute('id','cat_'+catId);
					td1.setAttribute('class','tbl2');
					td2.setAttribute('class','tbl2');
					td2.setAttribute('align','right');
					td2.appendChild(setPanelImg(catId,'showSubLinks(\''+catId+'\')',theme+'images/panel_on.gif','panelimg_'+catId,'panelimg_'+catId));
					tr.appendChild(td1);tr.appendChild(td2);
					table.appendChild(tr);
				}
				// Invert panel image and set new onclick function to it
				setPanelImg('loadingImg','dropSubLinks(\''+downloadCatId+'\',\''+theme+'images/panel_on.gif\');',theme+'images/panel_off.gif','panelimg_'+downloadCatId,'panelimg_'+downloadCatId);
			}
		}
	}
}

function dropSubLinks(from,srcParam) {
	var parentNode = document.getElementById('cat_'+from).parentNode;
	for (i=0;i<parentNode.childNodes.length;i++) {
		if (parentNode.childNodes[i].id == 'box_'+from) {
			parentNode.removeChild(parentNode.childNodes[i]);
			break;
		}
	}
	// Invert panel image and set new onclick function to it
	setPanelImg('panelimg_'+from,'showSubLinks(\''+from+'\');',srcParam,'panelimg_'+from,'panelimg_'+from);
}

function setPanelImg(imgId,onclickParam,srcParam,nameParam,idParam) {
	if (img = document.getElementById(imgId)) {
		img.setAttribute('onclick',onclickParam);
		img.setAttribute('src',srcParam);
		img.setAttribute('name',(nameParam != undefined ? nameParam : ''));
		img.setAttribute('id',(idParam != undefined ? idParam : ''));
	} else {
		img = document.createElement('img');
		img.setAttribute('onclick',onclickParam);
		img.setAttribute('src',srcParam);
		img.setAttribute('name',(nameParam != undefined ? nameParam : ''));
		img.setAttribute('id',(idParam != undefined ? idParam : ''));
		return img;
	}
}

function pleaseWait(action,nodeId) {
	var node = document.getElementById(nodeId);
	switch(action) {
		// In this case, we get nodeId as the container that will contain loadingImg
		case 'append':
			var loadingImage = document.createElement('img');
			loadingImage.setAttribute('src','../images/ajax-loader.gif');
			loadingImage.setAttribute('alt','Loading...');
			loadingImage.setAttribute('id','loadingImg');
			node.appendChild(loadingImage);
			break;
		// In this case, we get nodeId as an image ID and we will replace this image with loadingImg
		case 'replace':
				node.setAttribute('onclick','');
				node.setAttribute('src','../images/ajax-loader.gif');
				node.setAttribute('alt','Loading...');
				node.setAttribute('id','loadingImg');
				break;
		case 'unload':
			for (i=0;i<node.childNodes.length;i++) {
				if (node.childNodes[i].id == 'loadingImg') {
					node.removeChild(node.childNodes[i]);
				}
			}
			break;
	}
}

function insertAfter(newElement,targetElement) {
	var parent = targetElement.parentNode;
	if (parent.lastChild == targetElement) {
		parent.appendChild(newElement);
	} else {
		parent.insertBefore(newElement, targetElement.nextSibling);
	}
}

function removeChildNodes(ctrl) {
	while (ctrl.childNodes[0]) {
		ctrl.removeChild(ctrl.childNodes[0]);
	}
}