<?php
require_once '../maincore.php';
include LOCALE.LOCALESET.'admin/downloads.php';
switch($_POST['step']):
	case 'showsublinks':
		$downloads_query = dbquery('SELECT * FROM '.$db_prefix.'downloads WHERE `download_cat`=\''.$_POST['selected_cat'].'\' ORDER BY `download_title` ASC;');
		$download_cats_query = dbquery('SELECT * FROM '.$db_prefix.'download_cats WHERE `download_parent`=\''.$_POST['selected_cat'].'\' ORDER BY `download_cat_name` ASC;');
		header('Content-Type: text/xml;');
		$return = '<?xml version="1.0" encoding="UTF-8"?>'."\n".'<root>'."\n";
		if (dbrows($download_cats_query) != 0) {
			while (($data = dbarray($download_cats_query))!=false) {
				$return .= '<categorie id="'.$data['download_cat_id'].'">'.utf8_encode(htmlspecialchars($data['download_cat_name'])).'</categorie>'."\n";
			}
		}
		if (dbrows($downloads_query) != 0) {
			while (($data = dbarray($downloads_query))!=false) {
				$return .= '<download id="'.$data['download_id'].'" url="'.utf8_encode(htmlspecialchars($data['download_url'])).'">'.utf8_encode(htmlspecialchars($data['download_title'])).'</download>'."\n";
			}
		}
		$return .= '<theme>'.utf8_encode(htmlspecialchars(THEME)).'</theme>'."\n";
		$return .= '<locale_edit>'.utf8_encode(htmlspecialchars($locale['503'])).'</locale_edit>'."\n";
		$return .= '<locale_delete>'.utf8_encode(htmlspecialchars($locale['504'])).'</locale_delete>'."\n";		$return .= '</root>'."\n";
		echo $return;
	break;

	case 'getcats':
		$query = dbquery('SELECT `download_cat_name`,`download_cat_id` FROM '.$db_prefix.'download_cats WHERE `download_parent`=\''.$_POST['selected_cat'].'\' ORDER BY `download_cat_name` ASC;');
		header('Content-Type: text/xml;');
		$return = '<?xml version="1.0" encoding="UTF-8"?>'."\n".'<root>'."\n";
		if (dbrows($query) != 0) {
			$return .= '<categorie id="'.($_POST['selected_cat']!=0 ? $_POST['selected_cat'] : utf8_encode('none')).'">'.utf8_encode(htmlspecialchars($locale['435'])).'</categorie>'."\n";
			$return .= ($_POST['selected_cat']!=0 ? '<categorie id="'.(integer)$parent_cat_id.'">'.utf8_encode('../').'</categorie>'."\n" : '');
			while (($data=dbarray($query))!=false) {
				$return .= '<categorie id="'.$data['download_cat_id'].'">'.utf8_encode(htmlspecialchars($data['download_cat_name'])).'</categorie>'."\n";
			}
		}
		$return .= '</root>';
		echo $return;
		break;
		
	case 'gettree':
		if ($_POST['selected_cat']!=0) {
			$cat_id = dbarray(dbquery('SELECT `download_cat_name`,`download_parent` FROM '.$db_prefix.'download_cats WHERE `download_cat_id`=\''.$_POST['selected_cat'].'\';'));
			$tree = $cat_id['download_cat_name'].' /';
			while ($cat_id['download_parent'] != 0) {
				$cat_id = dbarray(dbquery('SELECT `download_cat_name`,`download_parent` FROM '.$db_prefix.'download_cats WHERE `download_cat_id`=\''.$cat_id['download_parent'].'\';'));
				$tree = $cat_id['download_cat_name'].' / '.$tree;
			}
		} else {$tree = '/ ';}
		echo $tree;
	break;
	
	case 'editdownload':
		$query = dbquery('SELECT `download_id` , `download_title` , `download_description` , `download_url` , `download_cat` , `download_license` , `download_os` , `download_version` , `download_filesize` FROM '.$db_prefix.'downloads WHERE `download_id`=\''.$_POST['download_id'].'\'');
		$data = dbarray($query);
		header('Content-Type: text/xml;');
		$return = '<?xml version="1.0" encoding="UTF-8"?>'."\n".'<root>'."\n";
		$return .= '<download_id>'.utf8_encode((integer)$data['download_id']).'</download_id>'."\n";
		$return .= '<download_title>'.utf8_encode(htmlspecialchars($data['download_title'])).'</download_title>'."\n";
		$return .= '<download_description>'.utf8_encode(htmlspecialchars($data['download_description'])).'</download_description>'."\n";
		$return .= '<download_url>'.utf8_encode(htmlspecialchars($data['download_url'])).'</download_url>'."\n";
		$return .= '<download_cat>'.utf8_encode((integer)$data['download_cat']).'</download_cat>'."\n";
		$return .= '<download_cat_parent>'.utf8_encode((integer)dbresult(dbquery('SELECT `download_parent` FROM '.$db_prefix.'download_cats WHERE `download_cat_id`=\''.$data['download_cat'].'\';'),0)).'</download_cat_parent>'."\n";
		$return .= '<download_license>'.utf8_encode(htmlspecialchars($data['download_license'])).'</download_license>'."\n";
		$return .= '<download_os>'.utf8_encode(htmlspecialchars($data['download_os'])).'</download_os>'."\n";
		$return .= '<download_version>'.utf8_encode(htmlspecialchars($data['download_version'])).'</download_version>'."\n";
		$return .= '<download_filesize>'.utf8_encode(htmlspecialchars($data['download_filesize'])).'</download_filesize>'."\n";
		$return .= '<locale_updatedownload>'.utf8_encode(htmlspecialchars($locale['489'])).'</locale_updatedownload>'."\n";
		$return .= '<locale_cancel>'.utf8_encode(htmlspecialchars($locale['490'])).'</locale_cancel>'."\n";
		$return .= '</root>';
		echo $return;
		break;
	
	case 'savedownload':
		header('Content-Type: text/xml;');
		$return = '<?xml version="1.0" encoding="UTF-8"?>'."\n".'<root>'."\n";
		$error_msg = ($_POST['download_title'] == '' ? $locale['514']."\n": '');
		$error_msg .= ($_POST['download_url'] == '' ? $locale['515']."\n" : '');
		$error_msg .= ($_POST['download_cat'] == 'none' ? $locale['516']."\n" : '');
		if ($error_msg) {
			$return .= '<error_msg>'.utf8_encode(htmlspecialchars($error_msg)).'</error_msg>'."\n";
		} else {
			$download_title = stripinput($_POST['download_title']);
			$download_description = $_POST['download_description'];
			$download_url = stripinput($_POST['download_url']);
			$download_license = stripinput($_POST['download_license']);
			$download_os = stripinput($_POST['download_os']);
			$download_version = stripinput($_POST['download_version']);
			$download_filesize = stripinput($_POST['download_filesize']);
			if (isset($_POST['update'])) {
				dbquery('UPDATE '.$db_prefix.'downloads SET `download_title`=\''.$download_title.'\',
				`download_description`=\''.$download_description.'\',
				`download_url`=\''.$download_url.'\',
				`download_cat`=\''.$download_cat.'\',
				`download_license`=\''.$download_license.'\',
				`download_os`=\''.$download_os.'\',
				`download_version`=\''.$download_version.'\',
				`download_filesize`=\''.$download_filesize.'\',
				`download_datestamp`=\''.time().'\' WHERE `download_id`=\''.$_POST['download_id'].'\';');
				$return .= '<info_msg>'.utf8_encode(htmlspecialchars($locale['512'].$download_title.$locale['517'])).'</info_msg>'."\n";
			}
			else {
				$download_cat_name = dbresult(dbquery('SELECT `download_cat_name` FROM '.$db_prefix.'download_cats WHERE `download_cat_id`=\''.$_POST['download_cat'].'\';'),0);
				dbquery('INSERT INTO '.$db_prefix.'downloads 
				(download_title, download_description, download_url, download_cat, download_license, download_os, download_version, download_filesize, download_datestamp, download_count) 
				VALUES (\''.$download_title.'\', \''.$download_description.'\', \''.$download_url.'\', \''.$_POST['download_cat'].'\', \''.$download_license.'\', \''.$download_os.'\', \''.$download_version.'\', \''.$download_filesize.'\', \''.time().'\', 0);');
				$return .= '<info_msg>'.utf8_encode(htmlspecialchars($locale['512'].$download_title.$locale['513'].$download_cat_name)).'</info_msg>'."\n";
			}
		}
		$return .= '</root>';
		echo $return;
		break;
		
	case 'deletedownload':
		header('Content-Type: text/xml;');
		$return = '<?xml version="1.0" encoding="UTF-8"?>'."\n".'<root>'."\n";
		dbquery('DELETE FROM '.$db_prefix.'downloads WHERE `download_id`=\''.$_POST['download_id'].'\';');
		if (mysql_affected_rows()) {
			$return .= '<info_msg>Success</info_msg>'."\n";
		} else {
			$return .= '<info_msg>'.utf8_encode(htmlspecialchars($locale['462'])).'</info_msg>'."\n";
		}
		$return .= '</root>';
		echo $return;
		break;
		
	case 'confirmdownloaddeletion':
		header('Content-Type: text/xml;');
		$return = '<?xml version="1.0" encoding="UTF-8"?>'."\n".'<root>'."\n";
		$return .= '<confirmation>'.utf8_encode(htmlspecialchars($locale['460'].$_POST['downloadname'].$locale['461'])).'</confirmation>'."\n";
		$return .= '</root>';
		echo $return;
		break;

	default:
		return false;
		break;
	endswitch;
?>